# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "aegis-cli"
version = "1.3.60"
authors = ["github.com/pepa65 <pepa65@passchier.net>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Show TOTPs from Aegis vault on CLI"
documentation = "https://docs.rs/aegis-cli"
readme = "README.md"
keywords = [
    "cli",
    "totp",
    "2fa",
    "aegis",
]
categories = ["command-line-utilities"]
license = "GPL-3.0-or-later"
repository = "https://github.com/pepa65/aegis-cli"

[package.metadata.binstall]
disabled-strategies = [
    "quick-install",
    "compile",
]
pkg-fmt = "bin"
pkg-url = "{repo}/releases/download/{version}/aegis"
target = "x86_64-unknown-linux-musl"
target-arch = "X86_64"
target-family = "Linux"

[[bin]]
name = "aegis"
path = "src/main.rs"

[dependencies.aegis-vault-utils]
version = "0.5.1"

[dependencies.arboard]
version = "3.4.1"

[dependencies.clap]
version = "4.5.26"
features = [
    "derive",
    "cargo",
    "env",
]

[dependencies.color-eyre]
version = "0.6.3"

[dependencies.console]
version = "0.16"

[dependencies.ctrlc]
version = "3.4.5"

[dependencies.dialoguer]
version = "0.12"
features = ["fuzzy-select"]

[dependencies.serde]
version = "1.0.217"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.135"

[dependencies.urlencoding]
version = "2.1.3"

[profile.release]
opt-level = "z"
lto = true
codegen-units = 1
panic = "abort"
strip = true
